
Application: gvSIG desktop - gvSIG bugs #2555
Can't retrieve persistent values from plugin org.gvsig.app.mainplugin
06/05/2014 10:40 AM - Antonio Falciano

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee:
Category: Application
Target version:
Severity: Minor Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2228 Add-on resolve version:
Operative System: Windows Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

When I execute gvSIG 2.1 BN2228 for the first time, a warning message appears on the splashscreen. Clicking on ok, then gvSIG
starts successfully.
In reference to this warning the gvSIG.log reports:

INFO main org.gvsig.andami.PluginServices - Can't retrieve persistent values from plugin org.gvsig.app.mainplugin
values = {}
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext$ContextValue.getObject(DefaultPersistentContext.java:163)
    at org.gvsig.tools.persistence.impl.AbstractPersistentState.get(AbstractPersistentState.java:157)
    at org.gvsig.tools.persistence.impl.AbstractPersistentState.get(AbstractPersistentState.java:139)
    [...]
Caused by: org.gvsig.tools.persistence.exception.PersistenceClassNotRegistered: Class not registered in manager
'Persistence:TRIVIAL_LAYER_ORDER_MANAGER_PERSISTENCE_NAME'.
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext.updateObjectInReference(DefaultPersistentContext.java:291)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext.access$000(DefaultPersistentContext.java:73)
    at org.gvsig.tools.persistence.impl.DefaultPersistentContext$ContextValue.getObject(DefaultPersistentContext.java:161)
    ... 23 more

If I execute gvSIG as administrator, then the warning message disappears and appears only sometimes.

History
#1 - 06/11/2014 11:08 AM - Antonio Falciano
- File persistence_error_bn2228.png added

#2 - 06/30/2014 04:02 AM - Álvaro Anguix

Hi Antonio,  Is this happening in the last builds?

#3 - 06/30/2014 04:12 AM - Antonio Falciano

Hi Alvaro, it happened with BN 2228 and 2229 for sure. If it will happen again in the 2230, I'll attach a new gvSIG.log.

#4 - 07/01/2014 05:29 AM - Antonio Falciano
- File gvSIG_2230.log added

It happens also with BN2230. See gvSIG_2230.log in attachment:

Caused by: org.gvsig.tools.persistence.exception.PersistenceClassNotRegistered: Class not registered in manager
'Persistence:TRIVIAL_LAYER_ORDER_MANAGER_PERSISTENCE_NAME'.

#5 - 07/14/2014 04:22 AM - Antonio Falciano
- File gvSIG_2234.log added

It happens with BN2234 too. See gvSIG_2234.log in attachment:

Caused by: org.gvsig.tools.persistence.exception.PersistenceClassNotRegistered: Class not registered in manager
'PersistenceDynObject:org.gvsig.geodb'.

#6 - 08/06/2014 05:12 AM - Antonio Falciano
- Status changed from New to Closed

This issue doesn't happen since build 2234, so I close the ticket.

Files
gvSIG.log 350 KB 06/05/2014 Antonio Falciano
persistence_error_bn2228.png 174 KB 06/11/2014 Antonio Falciano
gvSIG_2230.log 352 KB 07/01/2014 Antonio Falciano
gvSIG_2234.log 326 KB 07/14/2014 Antonio Falciano
